<!doctype html>
<html lang="en-us">
  <head>
    {% block head %}
    <meta charset="utf-8">
    <title>
      {% block title %}Concrete examples of HTMX and Django CBV{% endblock %}
      {% block subtitle %}{% endblock %}
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% if site_owner is defined %}<meta name="author" content="{{ site_owner }}" />{% endif %}
    {% if site_description is defined %}<meta name="description" content="{{ site_description }}" />{% endif %}
    {% if site_keywords is defined %}<meta name="keywords" content="{{ site_keywords }}" />{% endif %}
    {% block meta %}{% endblock %}
    <link rel="stylesheet" href="{{ url_for("static", file="prism.css") }}" type="text/css" />
    <link rel="stylesheet" href="{{ url_for("static", file="style.css") }}" type="text/css" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Lora&family=Space+Mono&display=swap" />

    <script src="{{ url_for("static", file="prism.js") }}"></script>
    {% endblock %}
  </head>
  <body>
    {# Top navigation bar #}
    {% block nav %}
      <header>
        <h1>
          <a href="{{ url_for("index") }}">
            {% block title %}Concrete examples of HTMX and Django CBV{% endblock %}
          </a>
        </h1>
        <a href="#main" class="visually-hidden">jump to main content</a>
        <nav>
          <ul class="menu">
            <li><a href="{{ url_for("pages", slug="about") }}">about</a></li>
            <li><a href="{{ url_for("index") }}">blog</a></li>
          </ul>
        </nav>
      </header>
    {% endblock %}

    {# Probably where most of the action will happen #}
    <main id="main">
      {% block main %}{% endblock %}
    </main>

    {# Links, copyright notice, etc #}
    {% block footer %}
      <footer>&copy; Copyright 2023 Simon Chevolleau</footer>
    {% endblock %}

  </body>
</html>
